ExtUtils::Helpers(3)

NAME
ExtUtils::Helpers - Various portability utilities for module builders

VERSION
version 0.028

SYNOPSIS
 use ExtUtils::Helpers qw/make_executable split_like_shell/;

 unshift @ARGV, split_like_shell($ENV{PROGRAM_OPTS});
 write_script_to('Build');
 make_executable('Build');

DESCRIPTION
This module provides various portable helper functions for module building modules.

FUNCTIONS

  make_executable($filename)
This makes a perl script executable.

  split_like_shell($string)
This function splits a string the same way as the local platform does.

  detildefy($path)
This function substitutes a tilde at the start of a path with the users homedir in an appropriate manner.

  man1_pagename($filename, $ext = $Config{man1ext})
Returns the man page filename for a script.

  man3_pagename($filename, $basedir = 'lib', $ext = $Config{man3ext})
Returns the man page filename for a Perl library.

ACKNOWLEDGEMENTS
Olivier Mengué and Christian Walde made "make_executable" work on Windows.

AUTHORS

•   Ken Williams <kwilliams@cpan.org>

•   Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2004 by Ken Williams, Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.